ChiliProject - Bug # 871: Settings page fails to render

Status: Closed Priority: Normal

Author: Simon Stearn Category: User interface

Created: 2012-02-07 Assignee:

Updated: 2012-02-07 Due date:

Remote issue URL:

Affected version: 3.0.0

Description: | get the following error navigating to the settings page of ChiliProject 3.0.0 (release not beta) as the site

administrator:

Processing SettingsController#index (for 192.168.2.23 at 2012-02-07 11:06:11) [GET]
Parameters: {"action"=>"index", "controller"=>"settings"}
Rendering template within layouts/admin

Rendering settings/edit

ActionView::TemplateError (undefined method “mail_handler_confirmation_on_success?' for
#<Class:0xb5c546fc>) on line #9 of app/views/settings/_mail_handler.rhtml:

6: <br/><em><%= I(:itext_line_separated) Y%></em>

7. </p>

8:

9: <p><%-= setting_check_box :mail_handler_confirmation_on_success Y%></p>

10: <p><%-= setting_check_box :mail_handler_confirmation_on_failure %></p>

11: </div>

12:

Associated revisions

2010-02-14 02:07 pm - Jean-Philippe Lang
Adds a few divs to the base layout (#871).

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@3429 e93f8b46-1217-0410-a6f0-8f06a7374b81

History

2012-02-07 03:03 pm - Tom Rochette

My admin section works fine under 3.0.0. Do you happen to have any plugins? Also possible is that you have missing files. What method did you use to
install/upgrade chiliproject?

2012-02-07 03:26 pm - Simon Stearn

- Status changed from Open to Closed

Thanks for the pointer Tom - removing all plugins resolved the issue.
